WordPress.org

Support

Support » Plugins and Hacks » [Resolved] I have an error where WP activate this plugin

[Resolved] I have an error where WP activate this plugin

  • Hello,

    I have WP 3.8 and theme : twentyfourteen basic

    When i want to install your plugin, non probleme, but when the plugin is activate, i have this error :
    Fatal error: Cannot redeclare class URI_Template_Parser in /var/www/vhosts/joseph-zanni.fr/httpdocs/wp-content/plugins/google/lib/external/google/external/URITemplateParser.php on line 30

    have you a solution please.

    Thanks

    https://wordpress.org/plugins/google/

Viewing 12 replies - 1 through 12 (of 12 total)
  • Hi @e-commerce-concept,

    Sorry to hear of the problems you are having.

    Which version of “The Google+ plugin” are you using?

    It seems from the error message that other plugin / theme has already declared URI_Template_Parser class therefore it’s displaying this error.

    To find out which plugin is conflicting could you please try deactivating all plugins and first activating Google+ plugin then all others one by one.

    Also check the following thread for more information about the issue.

    http://premium.wpmudev.org/forums/topic/fatal-error-27#post-374372

    Best Regards,

    Hello,

    I have the exact same issue. Running WP 3.8.1 using TwentyTen theme.

    “Plugin could not be activated because it triggered a fatal error.”

    Fatal error: Cannot redeclare class URI_Template_Parser in …wp-content/plugins/google/lib/external/google/external/URITemplateParser.php on line 30

    I can’t deactivate other plugins as this site is live and I need them.

    Hopefully a fix can be found soon, as I was really looking forward to using the plugin!

    Thx

    Hi @ctomlin,

    Thanks for posting on the forums.

    Could you please tell me what plugins are you using on your site so that i can troubleshoot it?

    Kind Regards,

    Hey there.

    We haven’t heard from you in awhile, so I just wanted to check in to make sure all was good.

    This thread was marked resolved, but please, if you still need help then just respond and open it back up. We can then take it from there. πŸ™‚

    Hope you have a fantastic day!

    Sorry, just saw this.

    I ended up just making my own button, using the Google Dev resources. However, if this information can help you get this error fixed I’m happy to help.

    Here’s my list of Plugins, hope it helps…

    AA’s Digg Digg Alternative
    Affiliate Link Cloaking
    Akismet
    All In One SEO Pack
    FD Feedburner Plugin
    Google+ Author Information in Search Results
    Google Analyticator
    Google XML Sitemaps
    Hello Dolly
    OGraphr
    Wordfence Security
    WordPress Database Backup
    WordPress Mobile Edition
    WP Open Graph

    Hello,

    My version of this plugin is : 1.3.3 and the plugin installed are :
    Askimet
    Contact Form 7
    Event Manager
    Google Analycator
    Google Author Link
    Google XML Sitemap
    Google XML Sitemap For Images
    Nextgen
    Platinium SEO Pack
    Really Simple Captcha
    Wordpress Dataguard
    Yendif Player

    WordPress 3.8.1 FR

    Thank you for your help.

    Hi all,

    Thank you for your reply.

    The Google Analyticator plugin that you are using is already declaring URI_Template_Parser class which is conflicting with this plugin.

    TO resolve this issue open the following plugin file and make the changes in as described on this reply.

    google/lib/external/google/external/URITemplateParser.php

    In future you don’t have to edit plugin file as this conflict will be resolved in future version of plugin.

    Cheers,

    I too have enountered this problem when completing what I thought would be another routine update of Google Anayltics for WordPress. Once the update completed I encountered this error:

    Fatal error: Cannot redeclare class URI_Template_Parser in /home3/*****/public_html/wp-content/plugins/google-analytics-for-wordpress/admin/api-libs/google/external/URITemplateParser.php on line 30

    Now I cannot log into WP Admin beyond getting this message. My website still seems to work. What can I do to correct this?

    I note the above post has a link that recommends making changes in an editor. Could someone give me a quick description of how to do that to get started? I haven’t had to do something like this before.

    Adding the notify me of follow-up post via email box check mark for tracking.

    Hi @subeteokinawa,

    Ideally its not a good process to post on a thread 9 months old. The plugin has changed since then and so has WordPress πŸ™‚

    To help keep support tickets separate, could you please open a new thread for your new question here.

    Also as per theΒ Forum Welcome,you should post your own topic.

    This helps to prevent any confusion as I’m sure you understand.

    We have fixed this issue in our The Google+ plugin and from your shared error message it seems the issue is caused by the Google Anayltics for WordPress plugin.

    To fix this issue deactivate the Google Anayltics for WordPress plugin and The Google+ plugin by renaming the plugins folder on the following path using FTP or file manager.

    wp-content/plugins/google-analytics-for-wordpress
    wp-content/plugins/google

    Then first activate the Google Anayltics for WordPress plugin and then activate The Google+ plugin.

    Best Regards,
    Vinod Dalvi

    Hello and thank you for the reply and great information. I did create a new post and received the information I needed for what was a very simple fix. Thanks again.

    You are most welcome, if i can be of any further assistance please don’t hesitate to ask πŸ™‚

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘[Resolved] I have an error where WP activate this plugin’ is closed to new replies.